<?php

include("funcs.php");

if (!ValidateReferer()) {
	header("Location: index$Lingua.php");
	die();
}

$dettaglio = $HTTP_POST_VARS["Process"];
$articoli = explode("][",$dettaglio);

$alldisp = "";

foreach ($articoli as $articolo) {
	$item = explode("|", $articolo);
	$thecode = rawurldecode($item[1]);
	$codeitem = rawurldecode($item[2]);
	$thequantity = round(rawurldecode($item[13]),8);
	$disp = Disponibile(CheckCodice($thecode, $codeitem), $thequantity);
	$alldisp .= $disp;
}

if (is_integer(strpos($alldisp, "0"))) {
	Header("Location: login$Lingua.php?m=53");
	die();
}

$cliente = GetCliente();
$codice = $HTTP_POST_VARS["Codice_Ordine"];
$metodo1 = $HTTP_POST_VARS["Pagamento"];
$nome = $HTTP_POST_VARS["Nome"];
$ragione_sociale = $HTTP_POST_VARS["Ragione_Sociale"];
$partita_iva = $HTTP_POST_VARS["IVA_CF"];
$indirizzo = $HTTP_POST_VARS["Indirizzo"];
$cap = $HTTP_POST_VARS["Cap"];
$localita = $HTTP_POST_VARS["Localita"];
$sp_denominazione = $HTTP_POST_VARS["Denominazione_spedizione"];
$sp_indirizzo = $HTTP_POST_VARS["Indirizzo_spedizione"];
$sp_cap = $HTTP_POST_VARS["Cap_spedizione"];
$sp_localita = $HTTP_POST_VARS["Localita_spedizione"];
$stato = $HTTP_POST_VARS["Stato"];
$telefono = $HTTP_POST_VARS["Telefono"];
$email = $HTTP_POST_VARS["Email"];
$note = $HTTP_POST_VARS["Note"];
$dettaglio = $HTTP_POST_VARS["Orderdetails"];
$ip = $HTTP_SERVER_VARS["REMOTE_ADDR"];

$item = explode("|", $dettaglio);
$totale_netto = round(rawurldecode($item[0]),8);
$iva_totale = round(rawurldecode($item[1]),8);
$spese_spedizione = round(rawurldecode($item[2]),8);
$iva_spedizione = round(rawurldecode($item[3]),8);
$totale_lordo = round(rawurldecode($item[4]),8);
$sconto = round(rawurldecode($item[5]),8);
$ivasconto = round(rawurldecode($item[6]),8);
$edisplay = "";
foreach ($HTTP_POST_VARS as $strCampo=>$v) {
	if (substr($strCampo,0,9) == "edisplay_") {
		$edisplay .= substr($strCampo,9) . ": " . $v . "\n\n";
	}
}

function AddToQuery($Testo) {
	return "'".MakeQuery($Testo)."',";
}

$ordquery = "INSERT INTO ordini (codice,cliente,nome,ragione_sociale,indirizzo,cap,localita,sp_denominazione,sp_indirizzo,sp_cap,sp_localita,stato,email,telefono,note,edisplay,metodo1,metodo2,partita_iva,totale_netto,iva_totale,sconto,ivasconto,spese_spedizione,iva_spedizione,totale_lordo,ivacompresa,listino,visto,ip,data) ";
$ordquery .= "VALUES ('',";
$ordquery .= AddToQuery($cliente);
$ordquery .= AddToQuery($nome);
$ordquery .= AddToQuery($ragione_sociale);
$ordquery .= AddToQuery($indirizzo);
$ordquery .= AddToQuery($cap);
$ordquery .= AddToQuery($localita);
$ordquery .= AddToQuery($sp_denominazione);
$ordquery .= AddToQuery($sp_indirizzo);
$ordquery .= AddToQuery($sp_cap);
$ordquery .= AddToQuery($sp_localita);
$ordquery .= AddToQuery($stato);
$ordquery .= AddToQuery($email);
$ordquery .= AddToQuery($telefono);
$ordquery .= AddToQuery($note);
$ordquery .= AddToQuery($edisplay);
$ordquery .= AddToQuery($metodo1);
$ordquery .= AddToQuery("");
$ordquery .= AddToQuery($partita_iva);
$ordquery .= AddToQuery($totale_netto);
$ordquery .= AddToQuery($iva_totale);
$ordquery .= AddToQuery($sconto);
$ordquery .= AddToQuery($ivasconto);
$ordquery .= AddToQuery($spese_spedizione);
$ordquery .= AddToQuery($iva_spedizione);
$ordquery .= AddToQuery($totale_lordo);
$ordquery .= AddToQuery($ivacompresa);
$ordquery .= AddToQuery($listino);
$ordquery .= AddToQuery("0");
$ordquery .= AddToQuery($ip);
$ordquery .= "NOW())";

$result = mysql_query($ordquery);
$id = mysql_insert_id();
$codice = $id + 1000;
$sql = "UPDATE ordini SET codice='".MakeQuery($codice)."' WHERE ID=$id";
$result = mysql_query($sql);
$sql = "";

$dettaglio = $HTTP_POST_VARS["Process"];

$articoli = explode("][",$dettaglio);
$i = 0;
$totalquantity = 0;

foreach ($articoli as $articolo) {
	$articolo = str_replace("[","",$articolo);
	$articolo = str_replace("]","",$articolo);
	$item = explode("|", $articolo);
	$theitem = rawurldecode($item[0]);
	$thecode = rawurldecode($item[1]);
	$codeitem = rawurldecode($item[2]);
	$artid = rawurldecode($item[3]);
	$option1 = rawurldecode($item[4]);
	$option2 = rawurldecode($item[5]);
	$option3 = rawurldecode($item[6]);
	$option4 = rawurldecode($item[7]);
	$theprice = round(rawurldecode($item[8]),8);
	$itemaliquota = round(rawurldecode($item[9]),8);
	$ivaitem = round(rawurldecode($item[10]),8);
	$itemtotal = round(rawurldecode($item[11]),8);
	$itemtotaliva = round(rawurldecode($item[12]),8);
	$thequantity = round(rawurldecode($item[13]),8);

	$totalquantity = $totalquantity + $thequantity;

	$sql = "INSERT INTO ordini_dettagli (ID_ordine,ID_articolo,codice_articolo,codice_completo,descrizione,variante1,variante2,variante3,variante4,prezzo,quantita,totale,aliquota,iva,iva_totale) ";
	$sql .= "VALUES (";
	$sql .= AddToQuery($codice);
	$sql .= AddToQuery($artid);
	$sql .= AddToQuery($thecode);
	$sql .= AddToQuery($codeitem);
	$sql .= AddToQuery($theitem);
	$sql .= AddToQuery($option1);
	$sql .= AddToQuery($option2);
	$sql .= AddToQuery($option3);
	$sql .= AddToQuery($option4);
	$sql .= AddToQuery($theprice);
	$sql .= AddToQuery($thequantity);
	$sql .= AddToQuery($itemtotal);
	$sql .= AddToQuery($itemaliquota);
	$sql .= AddToQuery($ivaitem);
	$sql .= "'".MakeQuery($itemtotaliva)."'";
	$sql .= ")";
	$artquery[$i] = $sql;
	$giaccode[$i] = CheckCodice($thecode, $codeitem);
	$giacval[$i] = $thequantity;
	$i = $i + 1;
}

$formerr = CheckForm();
if ($formerr > 0) {
	$sql = "DELETE FROM ordini WHERE ID=$id";
	$result = mysql_query($sql);
	Header("Location: login$Lingua.php?m=$formerr");
	die();
}

for ($i=0; $i < sizeof($artquery); $i++) {
	$result = mysql_query($artquery[$i]);
	DimGiacenza($giaccode[$i], $giacval[$i]);
}

$cookieordine = $HTTP_COOKIE_VARS["eDenter_ordine"];
$cookieordine = $codice . $cookieordine;
$cookievals = explode("!",$cookieordine);
$tipopag = $cookievals[1];
if ($tipopag == "") {
	$tipopag = "(non trovato)";
}
$cookieordine = addslashes($cookieordine);

$totale_netto = $HTTP_POST_VARS["Totale_No_Spedizione"];
$spese_spedizione = $HTTP_POST_VARS["Spese_sped"];
$iva_totale = $HTTP_POST_VARS["Totale_Iva"];
$totale_lordo = $HTTP_POST_VARS["Totale_Ordine"];
$dettaglio = $HTTP_POST_VARS["Dettaglio"];
$riepilogo = $HTTP_POST_VARS["Riepilogo"];


$mail_valuta = "<<1-valuta>>";
$mail_to = "<<1-email_ordini>>";
$mail_shop = "<<1-negozio>>";

$sendmail_from = $email;

$sendmail_subject = $mail_shop  . " - <<4-rispemail_ordine>> " . $codice;
$sendmail_replyto = $email;

$info = "";
$info .= "Ordine " . $codice . "\r\n";
$info .= "------------------------------------------\r\n";
$info .= $dettaglio . "\r\n";
$info .= "------------------------------------------\r\n\r\n";
$info .= "Totale netto: " . $mail_valuta . " " . $totale_netto . "\r\n";
$info .= "Spedizione: " . $mail_valuta . " " . $spese_spedizione . "\r\n";
$info .= "IVA: " . $mail_valuta . " " . $iva_totale . "\r\n";
$info .= "Totale + spese + IVA: " . $mail_valuta . " " . $totale_lordo . "\r\n";
$info .= "Pagamento: " . $metodo1 . "\r\n";
$info .= "Nome e cognome: " . $nome . "\r\n";
$info .= "Ragione sociale: " . $ragione_sociale . "\r\n";
$info .= "IVA / CF: " . $partita_iva . "\r\n";
$info .= "Indirizzo: " . $indirizzo . "\r\n";
$info .= "CAP: " . $cap . "\r\n";
$info .= "Localita': " . $localita . "\r\n";
$info .= "Denominazione spedizione: " . $sp_denominazione . "\r\n";
$info .= "Indirizzo spedizione: " . $sp_indirizzo . "\r\n";
$info .= "CAP spedizione: " . $sp_cap . "\r\n";
$info .= "Localita' spedizione: " . $sp_localita . "\r\n";
$info .= "Stato: " . $stato . "\r\n";
$info .= "Telefono: " . $telefono . "\r\n";
$info .= "E-mail: " . $email . "\r\n\r\n";
$info .= "Note: " . $note . "\r\n\r\n";
$info .= $edisplay;

mail($mail_to, $sendmail_subject, $info, "From: " . $sendmail_from . "\r\n" . "Reply-To: " . $sendmail_replyto . "");

$sendmail_from = $mail_to;
$sendmail_replyto = $mail_to;

$info = "";

#<<1-testo_email>>

mail($email, $sendmail_subject, $info, "From: " . $sendmail_from . "\r\n" . "Reply-To: " . $sendmail_replyto . "");

function CheckForm() {
	global $totale_netto, $totalquantity;
	global $email, $localita, $cap, $indirizzo, $nome;
   	if ($totale_netto < <<1-java_minimo>>) {return 79;}
	if ($totalquantity < <<1-java_qminima>>) {return 79;}
	if (strlen($email) < 8) {return 67;}
	if (!ereg("^([a-zA-Z0-9_\-\.]+)@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.)|(([a-zA-Z0-9\-]+\.)+))([a-zA-Z]{2,4}|[0-9]{1,3})(\]?)$", $email)) {return 67;};
	if (strlen($localita) < 2) {return 67;}
	if (strlen($cap) < 4) {return 67;}
	if (strlen($indirizzo) < 8) {return 67;}
	if (strlen($nome) < 2) {return 67;}
	if (is_integer(strpos($nome,"!"))) {return 67;}
	if (is_integer(strpos($nome,"="))) {return 67;}
	if (is_integer(strpos($nome,";"))) {return 67;}
	return 0;
}

?>

<HTML>
<HEAD>
<TITLE><<4-attendere>></TITLE>
<SCRIPT LANGUAGE = "JavaScript">

<!--

	document.cookie = "eDenter_ordine=<?php echo $cookieordine; ?>";

    function GetCookie(name) {
        var arg = name + "=";
        var alen = arg.length;
        var clen = document.cookie.length;
        var i = 0;
        while (i < clen) {
            var j = i + alen;
            if (document.cookie.substring(i, j) == arg)
                return GetCookieVal (j);
            i = document.cookie.indexOf(" ", i) + 1;
            if (i == 0) break;
          }
        return null;
        }

    function GetCookieVal (offset) {
        var endstr = document.cookie.indexOf (";", offset);
        if (endstr == -1)
            endstr = document.cookie.length;
        return unescape(document.cookie.substring(offset, endstr));
        }

    function GetCookieInfo(pos) {
    	 var ordine=GetCookie("eDenter_ordine");
    	 if (ordine == null) {
    	 	return "(non trovato)";
    	 }
    	 else {
    	 	var n=0;
			var fine=-1;
    	 	while (n < pos) {
    	 		inizio=fine + 1;
    	 		n = n + 1;
    	 		fine=ordine.indexOf("!", inizio);
    	 		if (fine == -1) {
    	 			fine=ordine.length;
    	 		}
    	 	}

    	 	ordine=ordine.substring(inizio, fine);
    	 	return ordine;
    	 }
    }

    function Redirect() {
		var listino ="<?php echo $listino; ?>";
		nc = "eDenter_basket" + listino;
		document.cookie= nc + "=.";
		var tipopag="<?php echo $tipopag; ?>";
		if (tipopag != "(non trovato)") {
			self.location="thankyou" + tipopag + "<?php echo $Lingua; ?>.php";
		}
    }
//-->
</SCRIPT>

</HEAD>
<BODY onload="Redirect()">

</BODY>
</HTML>